Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#21739 - [LibreOffice] no grammar checking ?

Attached to Project: Arch Linux
Opened by Frederic Bezies (fredbezies) - Thursday, 18 November 2010, 16:50 GMT
Last edited by Andreas Radke (AndyRTR) - Friday, 19 November 2010, 08:54 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description: At work, I'm testing LibreOffice windows version and grammar checking is enabled. I saw that lightproff (related to grammar ?) is disabled.

Can you enable it please ?


Additional info:

[fred@fredo-arch ~]$ yaourt -Si libreoffice
Dépôt : extra
Nom : libreoffice
Version : 3.2.99.3-1


Steps to reproduce:

Just install libreoffice !
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Friday, 19 November 2010, 08:54 GMT
Reason for closing:  Won't fix
Comment by Andreas Radke (AndyRTR) - Thursday, 18 November 2010, 17:35 GMT
The lightproof extension breaks the build. Enable it, try to build it and report success or look out how to fix it.
Comment by Frederic Bezies (fredbezies) - Thursday, 18 November 2010, 17:45 GMT
Ok. Trying right now. And I think I made a mistake. Grammar checking is related to languagetool, not lightproof ;)
Comment by Frederic Bezies (fredbezies) - Thursday, 18 November 2010, 19:52 GMT
Got this error :

-----------------------------------------------------------------------
Oh dear - something failed during the build - sorry !
For more help with debugging build errors, please see the section in:
http://wiki.documentfoundation.org/Development

it seems that the error is inside 'languagetool', please re-run build
inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

/bin/bash
cd /home/fred/download/trunk.r99696/src/libreoffice-build-3.2.99.3/build/libreoffice-3.2.99.3
source ./LinuxX86-64Env.Set.sh
cd languagetool
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
sometimes (sadly) it is necessary to rm -Rf unxlngx6.pro in a module.
make: *** [stamp/build] Erreur 1
Comment by Frederic Bezies (fredbezies) - Thursday, 18 November 2010, 19:56 GMT
Followed instructions. Adding log.
   build.log (73.1 KiB)
Comment by Frederic Bezies (fredbezies) - Thursday, 18 November 2010, 20:19 GMT
Rebuilding deactivating --with-lightproof option. Will report asap. Any other idea : replacing openjdk6 by jre ?
Comment by Frederic Bezies (fredbezies) - Friday, 19 November 2010, 06:59 GMT
After night, I launched again build process without lightproof. Crash. Will try using jre instead of openjdk6 and report asap.
Comment by Frederic Bezies (fredbezies) - Friday, 19 November 2010, 07:35 GMT
Well, I tried to install languagetool from the official site as an extension for libreoffice and it works. I don't understand why it cannot build :(

Feel free to close this bug if you think it is not anymore useful.

Loading...